Notification Distribution Statistics
Run in Apifox
Returns notification usage distribution grouped by channel or target dimension within the given time range, ordered by usage descending. Permission : Account Admin privileges required.Time range limit : The difference between start_time and end_time must not exceed 31 days (2,678,400 seconds).
Request Add parameter in header Authorization
Example: Authorization: ********************
or
Body Params application/json Required
{
"start_time" : 1711929600 ,
"end_time" : 1714521600 ,
"group_by" : "channel" ,
"limit" : 50
} Request Code Samples
curl --location --request POST 'http://prod-cn.your-api-server.com/report/oncall/notifications/distribution' \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"start_time": 1711929600,
"end_time": 1714521600,
"group_by": "channel",
"limit": 50
}' Responses
{
"request_id" : "abc-123-def" ,
"data" : {
"items" : [
{
"channel_id" : 1001 ,
"channel_name" : "Ops Alert Channel" ,
"notify_channel" : "email" ,
"notify_sum" : 320
} ,
{
"channel_id" : 1002 ,
"channel_name" : "Biz Alert Channel" ,
"notify_channel" : "sms" ,
"notify_sum" : 150
}
]
}
}
Modified at 2026-04-02 09:07:14